cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Nalley <da...@gnsa.us>
Subject XAPI API (aka xenserver-java)
Date Thu, 17 May 2012 05:26:23 GMT
Hi folks:

I saw the recent changes to the dependency license page[1] and wanted
to discuss XAPI API - which I think is the xenserver-java package. I
don't think this is in any of the currently targeted distributions. I
maintain this package for Fedora and EPEL (so you can install it on
EL6.2 - but it's using a non-supported yum repo to do so.) Also I
don't ship the patched version that ships with CloudStack today - I
build from source as Fedora and EPEL have guidelines around patches,
one of which requires at least upstreaming patches - and honestly I
can't even find an upstream repo for it, much less a record of where
the patches have been upstreamed.

I am pretty certain that aside from my packaging work, no other distro
has the above package - and a quick google supports that belief.

--David

[1] http://wiki.cloudstack.org/display/dev/Moving+dependencies+to+ASF+approved+licenses

Mime
View raw message